﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{BCC01D55-F83D-4823-A687-EC7FC9EB9B61}</ProjectGuid>
    <RootNamespace>DjinnandTonicErobeats</RootNamespace>
    <WindowsTargetPlatformVersion>8.1</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <IncludePath>$(SolutionDir)/deps/include/;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)/deps/lib/;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <IncludePath>$(SolutionDir)/deps/include/;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)/deps/lib/;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ClCompile>
    <Link>
      <AdditionalDependencies>opengl32.lib;glew32.lib;SDL2.lib;SDL2_image.lib;SDL2_mixer.lib;SDL2_ttf.lib;SDL2main.lib;SDL2test.lib;zdll.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Console</SubSystem>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>opengl32.lib;glew32.lib;SDL2.lib;SDL2_image.lib;SDL2_mixer.lib;SDL2_ttf.lib;SDL2main.lib;SDL2test.lib;zdll.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Console</SubSystem>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="ioapi.h" />
    <ClInclude Include="iowin32.h" />
    <ClInclude Include="mztools.h" />
    <ClInclude Include="unzip.h" />
    <ClInclude Include="zip.h" />
    <ClInclude Include="Animation.h" />
    <ClInclude Include="crypt.h" />
    <ClInclude Include="EndCard.h" />
    <ClInclude Include="FileIO.h" />
    <ClInclude Include="Fonts.h" />
    <ClInclude Include="Language.h" />
    <ClInclude Include="Level1.h" />
    <ClInclude Include="Level2.h" />
    <ClInclude Include="Level3.h" />
    <ClInclude Include="Level4.h" />
    <ClInclude Include="Level5.h" />
    <ClInclude Include="LevelSelect.h" />
    <ClInclude Include="BGM.h" />
    <ClInclude Include="LevelTemplate.h" />
    <ClInclude Include="Menu.h" />
    <ClInclude Include="MessageBox.h" />
    <ClInclude Include="ModeSelect.h" />
    <ClInclude Include="RhythmIO.h" />
    <ClInclude Include="ScreenTemplate.h" />
    <ClInclude Include="SettingsInit.h" />
    <ClInclude Include="RescourceKeys.h" />
    <ClInclude Include="SFX.h" />
    <ClInclude Include="MusicRoom.h" />
    <ClInclude Include="ResourceMaster.h" />
    <ClInclude Include="ScreenNames.h" />
    <ClInclude Include="Settings.h" />
    <ClInclude Include="SDLGraphics.h" />
    <ClInclude Include="SplashScreen.h" />
    <ClInclude Include="TempoTools.h" />
    <ClInclude Include="Trainer.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="ioapi.c" />
    <ClCompile Include="iowin32.c" />
    <ClCompile Include="mztools.c" />
    <ClCompile Include="unzip.c" />
    <ClCompile Include="zip.c" />
    <ClCompile Include="Animation.cpp" />
    <ClCompile Include="endcard.cpp" />
    <ClCompile Include="fileio.cpp" />
    <ClCompile Include="Fonts.cpp" />
    <ClCompile Include="Language.cpp" />
    <ClCompile Include="level1.cpp" />
    <ClCompile Include="level2.cpp" />
    <ClCompile Include="level3.cpp" />
    <ClCompile Include="Level4.cpp" />
    <ClCompile Include="Level5.cpp" />
    <ClCompile Include="LevelSelect.cpp" />
    <ClCompile Include="BGM.cpp" />
    <ClCompile Include="LevelTemplate.cpp" />
    <ClCompile Include="Main.cpp" />
    <ClCompile Include="Menu.cpp" />
    <ClCompile Include="MessageBox.cpp" />
    <ClCompile Include="ModeSelect.cpp" />
    <ClCompile Include="RhythmIO.cpp" />
    <ClCompile Include="ScreenTemplate.cpp" />
    <ClCompile Include="SettingsInit.cpp" />
    <ClCompile Include="SFX.cpp" />
    <ClCompile Include="MusicRoom.cpp" />
    <ClCompile Include="ResourceMaster.cpp" />
    <ClCompile Include="Settings.cpp" />
    <ClCompile Include="SDLGraphics.cpp" />
    <ClCompile Include="SplashScreen.cpp" />
    <ClCompile Include="TempoTools.cpp" />
    <ClCompile Include="Trainer.cpp" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>